/**********************************************************

This software is part of J.-S. Caux's ABACUS library.

Copyright (c) J.-S. Caux.

-----------------------------------------------------------

File:  src/BETHE/Bethe_State.cc

Purpose:  defines functions in Bethe_State class,
          providing a unified object for eigenstates of all
          Bethe Ansatz integrable models.

IN DEVELOPMENT

***********************************************************/

#include "ABACUS.h"

using namespace std;

namespace ABACUS {

  Bethe_State::Bethe_State (long long int base_id_ref, long long int type_id_ref,
			    long long int id_ref, long long int maxid_ref) :
    base_id(base_id_ref), type_id(type_id_ref), id(id_ref), maxid(maxid_ref) {}

} // namespace ABACUS
