/**********************************************************

This software is part of J.-S. Caux's ABACUS library.

Copyright (c) J.-S. Caux.

-----------------------------------------------------------

File:  Filter_RAW_File_for_iK.cc

Purpose:  produce a .raw file filtered for a specific iK

***********************************************************/

#include "ABACUS.h"

using namespace std;
using namespace ABACUS;


int main(int argc, char* argv[])
{
  if (argc != 3) {
    cout << "Arguments needed: rawfile, iKneeded." << endl;
    ABACUSerror("");
  }

  const char* rawfilename = argv[1];
  int iKneeded = atoi(argv[2]);

  Filter_RAW_File_for_iK (rawfilename, iKneeded);

  return(0);
}
